%define up_ver 1.2
%define _disable_ld_no_undefined 1

Summary:	NetworkManager VPN integration for OpenSWAN
Name:		networkmanager-openswan
Version:	1.2.6
Release:	2
License:	GPLv2+
Group:		System/Base
Url:		http://www.gnome.org/projects/NetworkManager/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-openswan/%{up_ver}/NetworkManager-libreswan-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnma)
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libnm-glib-vpn)
BuildRequires:	pkgconfig(libnm-gtk)
BuildRequires:	pkgconfig(libnm-util)
BuildRequires:	pkgconfig(libsecret-unstable)
Requires:	GConf2
Requires:	gnome-keyring
Requires:	networkmanager
Suggests:	openswan
Requires:	shared-mime-info
Provides:	networkmanager-libreswan = %{EVRD}

%description
This package contains software for integrating the OpenSWAN IPSec VPN software
with NetworkManager and the GNOME desktop.

%files -f NetworkManager-libreswan.lang
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-libreswan-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-libreswan-service.name
%{_libdir}/NetworkManager/libnm-libreswan-properties.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan-editor.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-libreswan.so
%{_prefix}/lib/NetworkManager/VPN/nm-libreswan-service.name
%{_libexecdir}/nm-libreswan-service-helper
%{_libexecdir}/nm-libreswan-auth-dialog
%{_libexecdir}/nm-libreswan-service
%{_datadir}/appdata/network-manager-libreswan.metainfo.xml
%{_datadir}/gnome-vpn-properties/libreswan/nm-libreswan-dialog.ui

#----------------------------------------------------------------------------

%prep
%setup -qn NetworkManager-libreswan-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-dependency-tracking \
	--enable-more-warnings=no

%make

%install
%makeinstall_std

%find_lang NetworkManager-libreswan

%changelog

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.6-2
- (94139dc) MassBuild#1230: Increase release tag


